from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware
from src.backend.app.api.command_parser import router as api_router
from src.backend.config import settings

app = FastAPI(title=settings.app_name)

# CORS配置
app.add_middleware(
    CORSMiddleware,
    allow_origins=["*"],
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

# 包含API路由
app.include_router(api_router, prefix="/api")

@app.get("/")
async def root():
    return {"message": "Network Configuration API is running"}